Recommended update for ant

SUSE Recommended Update: Recommended update for ant
Announcement ID: SUSE-RU-2012:1632-1
Rating: low
References: #763820 #785695
Affected Products:
  • SUSE Linux Enterprise Server 10 SP4
  • SLE SDK 10 SP4

  • An update that has two recommended fixes can now be installed.

    Description:


    This update for ant adds a fix for the following reports
    for ant:

    * 785695: RPM task converts dashes (-) to underscores
    (_)

    In addition, a security fix for a denial of service via
    specially crafted input has been added (CVE-2012-2098)

    Package List:

    • SUSE Linux Enterprise Server 10 SP4 (i586 ia64 ppc s390x x86_64):
    • ant-trax-1.6.5-20.9.1
    • SUSE Linux Enterprise Server 10 SP4 (noarch):
    • ant-1.6.5-20.9.1
    • SLE SDK 10 SP4 (i586 ia64 ppc s390x x86_64):
    • ant-apache-oro-1.6.5-20.9.1
    • ant-apache-regexp-1.6.5-20.9.1
    • ant-jdepend-1.6.5-20.9.1
    • ant-junit-1.6.5-20.9.1
    • ant-nodeps-1.6.5-20.9.1
    • ant-trax-1.6.5-20.9.1
    • SLE SDK 10 SP4 (noarch):
    • ant-1.6.5-20.9.1

    References:

    • https://bugzilla.novell.com/763820
    • https://bugzilla.novell.com/785695
    • http://download.suse.com/patch/finder/?keywords=af17921d695a9060c06c8e79789774c7